## ltt-control 2.14.1

=== src/vendor/fmt/Makefile ===
# Makefile.in generated by automake 1.17 from Makefile.am.
# src/vendor/fmt/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2024 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/lttng-tools
pkgincludedir = $(includedir)/lttng-tools
pkglibdir = $(libdir)/lttng-tools
pkglibexecdir = $(libexecdir)/lttng-tools
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = src/vendor/fmt
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \
	$(top_srcdir)/m4/ax_append_flag.m4 \
	$(top_srcdir)/m4/ax_c___attribute__.m4 \
	$(top_srcdir)/m4/ax_check_class.m4 \
	$(top_srcdir)/m4/ax_check_classpath.m4 \
	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_check_link_flag.m4 \
	$(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/ax_config_feature.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
	$(top_srcdir)/m4/ax_define_dir.m4 \
	$(top_srcdir)/m4/ax_have_epoll.m4 \
	$(top_srcdir)/m4/ax_java_options.m4 \
	$(top_srcdir)/m4/ax_lib_socket_nsl.m4 \
	$(top_srcdir)/m4/ax_pkg_swig.m4 \
	$(top_srcdir)/m4/ax_prog_bison_version.m4 \
	$(top_srcdir)/m4/ax_prog_doxygen.m4 \
	$(top_srcdir)/m4/ax_prog_flex_version.m4 \
	$(top_srcdir)/m4/ax_prog_jar.m4 \
	$(top_srcdir)/m4/ax_prog_java.m4 \
	$(top_srcdir)/m4/ax_prog_java_works.m4 \
	$(top_srcdir)/m4/ax_prog_javac.m4 \
	$(top_srcdir)/m4/ax_prog_javac_works.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ax_require_defined.m4 \
	$(top_srcdir)/m4/ax_try_compile_java.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/lttng_check_sdt_works.m4 \
	$(top_srcdir)/m4/lttng_pthread_getname_np.m4 \
	$(top_srcdir)/m4/lttng_pthread_setname_np.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/pprint.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libfmt_la_LIBADD =
am_libfmt_la_OBJECTS = libfmt_la-format.lo libfmt_la-os.lo
libfmt_la_OBJECTS = $(am_libfmt_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libfmt_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(libfmt_la_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = 
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/libfmt_la-format.Plo \
	./$(DEPDIR)/libfmt_la-os.Plo
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libfmt_la_SOURCES)
DIST_SOURCES = $(libfmt_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' aclocal-1.17
AMTAR = $${TAR-tar}
AM_CFLAGS = -fvisibility=hidden -fno-strict-aliasing -Wall -Wextra -Wmissing-declarations -Wnull-dereference -Wundef -Wredundant-decls -Wshadow -Wsuggest-attribute=format -Wwrite-strings -Wformat=2 -Wstrict-aliasing -Wmissing-noreturn -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Winit-self -Wno-incomplete-setjmp-declaration -Wno-gnu-folding-constant -Wdiscarded-qualifiers -Wmissing-prototypes -Wmissing-parameter-type -Wsuggest-final-types -Wsuggest-final-methods -Wold-style-definition -Wstrict-prototypes -pthread
AM_CPPFLAGS = -I$(top_builddir)/include -I$(top_srcdir)/include -I$(top_builddir)/src -I$(top_srcdir)/src -include config.h  -I/build/include  -I/build/include 
AM_CXXFLAGS = -fvisibility=hidden -fvisibility-inlines-hidden -fno-strict-aliasing -Wall -Wextra -Wmissing-declarations -Wnull-dereference -Wundef -Wredundant-decls -Wshadow -Wsuggest-attribute=format -Wwrite-strings -Wformat=2 -Wstrict-aliasing -Wmissing-noreturn -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Winit-self -Wno-incomplete-setjmp-declaration -Wno-gnu-folding-constant -Wno-sign-compare -pthread
AM_DEFAULT_VERBOSITY = 0
AM_LDFLAGS = 
AR = ar
ARCHTYPE = x86
ASCIIDOC = /usr/bin/asciidoc
AUTOCONF = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' autoconf
AUTOHEADER = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' autoheader
AUTOMAKE = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' automake-1.17
AWK = gawk
BABELTRACE2_BIN = 
BABELTRACE_BIN = 
BISON_VERSION = 3.8.2
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CMD_DESCR_ADD_CONTEXT = Add context fields to be recorded
CMD_DESCR_ADD_TRIGGER = Add a trigger
CMD_DESCR_CLEAR = Clear a recording session
CMD_DESCR_CREATE = Create a recording session
CMD_DESCR_DESTROY = Destroy recording sessions
CMD_DESCR_DISABLE_CHANNEL = Disable channels
CMD_DESCR_DISABLE_EVENT = Disable recording event rules
CMD_DESCR_DISABLE_ROTATION = Unset a recording session rotation schedule
CMD_DESCR_ENABLE_CHANNEL = Create or enable a channel
CMD_DESCR_ENABLE_EVENT = Create or enable recording event rules
CMD_DESCR_ENABLE_ROTATION = Set a recording session rotation schedule
CMD_DESCR_HELP = Show the help of a command
CMD_DESCR_LIST = List recording sessions and instrumentation points
CMD_DESCR_LIST_TRIGGERS = List triggers
CMD_DESCR_LOAD = Load recording session configurations
CMD_DESCR_REGENERATE = Regenerate specific recording session data
CMD_DESCR_REMOVE_TRIGGER = Remove a trigger
CMD_DESCR_ROTATE = Archive the current trace chunk of a recording session
CMD_DESCR_SAVE = Save recording session configurations
CMD_DESCR_SET_SESSION = Set the current recording session
CMD_DESCR_SNAPSHOT = Take a recording session snapshot
CMD_DESCR_START = Start recording sessions
CMD_DESCR_STATUS = Show the status of the current recording session
CMD_DESCR_STOP = Stop recording sessions
CMD_DESCR_TRACK = Allow specific processes to record events
CMD_DESCR_UNTRACK = Disallow specific processes to record events
CMD_DESCR_VERSION = Show LTTng-tools version information
CMD_DESCR_VIEW = Launch a trace reader
CONFDIR = /usr/local/etc
CONFIG_LTTNG_SYSTEM_DATADIR = /usr/local/share
CONSUMERD32_BIN = 
CONSUMERD32_LIBDIR = 
CONSUMERD64_BIN = 
CONSUMERD64_LIBDIR = 
CPP = gcc -E
CPPFLAGS = -I/home/jenkins/workspace/lttng-tools_v2.14_release/deps/build/include
CSCOPE = cscope
CTAGS = ctags
CXX = g++ -std=gnu++11
CXXCPP = g++ -std=gnu++11 -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2

## ltt-control 0.87-09062010

=== debian/changelog ===
ltt-control (0.87-09062010-1) unstable; urgency=low

  * [caaaca] Imported Upstream version 0.87-09062010

 -- Jon Bernard <jbernard@debian.org>  Fri, 11 Jun 2010 09:35:25 -0400

ltt-control (0.86-19052010-1) unstable; urgency=low

  * Initial release (Closes: #570042)

 -- Jon Bernard <jbernard@debian.org>  Thu, 20 May 2010 19:20:24 -0400

=== debian/control ===
Source: ltt-control
Section: libs
Priority: extra
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/ltt-control.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ltt-control.git;a=summary
Homepage: http://lttng.org/

Package: ltt-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools to control kernel tracing with LTTng
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 ltt-control is the part of the LTTng that allows a machine to be traced.
 .
 This package contains the daemon with which the kernel will communicate and
 the application that starts and terminates tracing.

Package: liblttd0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A library to communicate with the LTTng daemon
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 ltt-control is the part of the LTTng that allows a machine to be traced.
 .
 This library allows applications to communicate with the kernel tracer daemon.

Package: liblttd-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblttd0 (= ${binary:Version})
Description: A library to communicate with the LTTng daemon - development files
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 ltt-control is the part of the LTTng that allows a machine to be traced.
 .
 This package provides the header files necessary to develop applications using
 liblttd.

Package: liblttctl0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A library to communicate with the LTTng control module
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 ltt-control is the part of the LTTng that allows a machine to be traced.
 .
 This library allows applications to communicate with the kernel tracer control
 module.

Package: liblttctl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblttctl0 (= ${binary:Version})
Description: A library to communicate with the LTTng control module - development files
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 ltt-control is the part of the LTTng that allows a machine to be traced.
 .
 This package provides the header files necessary to develop applications using
 liblttctl.

=== debian/watch ===
version=3
http://www.lttng.org/files/lttng/ltt-control-(.*)\.tar\.gz

## ltt-control 0.88-09242010

=== debian/changelog ===
ltt-control (0.88-09242010-2) unstable; urgency=low

  * [39296c6] Update watchfile url
  * [9962282] Remove unneeded .la files (Closes: #622462)

 -- Jon Bernard <jbernard@debian.org>  Sat, 04 Jun 2011 16:10:46 -0400

ltt-control (0.88-09242010-1) unstable; urgency=low

  * [cff0f9] Imported Upstream version 0.88-09242010
  * [ab4374] Bump standards version to 3.9.1, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Sun, 26 Sep 2010 21:48:13 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/ltt-control.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ltt-control.git;a=summary
 Homepage: http://lttng.org/

=== debian/watch ===
version=3
http://lttng.org/files/lttng/ltt-control-(.*)\.tar\.gz

## ltt-control 0.89-05122011

=== debian/changelog ===
ltt-control (0.89-05122011-1) unstable; urgency=low

  * [35237d1] New upstream version 0.89-05122011
  * [14b682b] Bump standards version to 3.9.2, no changes necessary
  * [c569a54] Remove article from start of description synopses

 -- Jon Bernard <jbernard@debian.org>  Sun, 19 Jun 2011 09:29:46 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/ltt-control.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ltt-control.git;a=summary
 Homepage: http://lttng.org/
@@ -26,7 +26,7 @@
 Package: liblttd0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A library to communicate with the LTTng daemon
+Description: Library to communicate with the LTTng daemon
  The LTTng project aims at providing highly efficient tracing tools for Linux.
  Its tracers help tracking down performance issues and debugging problems
  involving multiple concurrent processes and threads. Tracing across multiple
@@ -40,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, liblttd0 (= ${binary:Version})
-Description: A library to communicate with the LTTng daemon - development files
+Description: Library to communicate with the LTTng daemon - development files
  The LTTng project aims at providing highly efficient tracing tools for Linux.
  Its tracers help tracking down performance issues and debugging problems
  involving multiple concurrent processes and threads. Tracing across multiple
@@ -54,7 +54,7 @@
 Package: liblttctl0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A library to communicate with the LTTng control module
+Description: Library to communicate with the LTTng control module
  The LTTng project aims at providing highly efficient tracing tools for Linux.
  Its tracers help tracking down performance issues and debugging problems
  involving multiple concurrent processes and threads. Tracing across multiple
@@ -69,7 +69,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, liblttctl0 (= ${binary:Version})
-Description: A library to communicate with the LTTng control module - development files
+Description: Library to communicate with the LTTng control module - development files
  The LTTng project aims at providing highly efficient tracing tools for Linux.
  Its tracers help tracking down performance issues and debugging problems
  involving multiple concurrent processes and threads. Tracing across multiple

## ltt-control 2.1.1

=== debian/changelog ===
ltt-control (2.1.1-2ubuntu1) saucy; urgency=low

  * Move lttng-modules-dkms from Depends to Suggests as the default Ubuntu
    kernel now contains lttng. The dkms package may still be used for with
    some alternate kernels or as a way to install a more recent version of
    the modules than that shipped by default.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 May 2013 16:26:21 -0400

ltt-control (2.1.1-2) unstable; urgency=low

  * [08f3c8b] Use dh-autoreconf to call autoreconf before building.
    Thanks to Roland Stigge (Closes: #701976)

 -- Jon Bernard <jbernard@debian.org>  Tue, 02 Apr 2013 16:03:39 -0400

ltt-control (2.1.1-1) unstable; urgency=low

  * [228144f] New upstream version 2.1.1
  * [a9f14a2] Refresh test utilities link patch
  * [49f2b94] Set build dependency on proper version of ust.
    Thanks to Glenn McGrath (Closes: #701779)
  * [7f80999] Remove AUTHORS and NEWS from docs, no longer shipped

 -- Jon Bernard <jbernard@debian.org>  Thu, 28 Feb 2013 18:34:16 -0500

ltt-control (2.1.0~rc9-1) unstable; urgency=low

  * [f95cb9a] New upstream version 2.1.0~rc9

 -- Jon Bernard <jbernard@debian.org>  Tue, 04 Dec 2012 09:26:22 -0500

ltt-control (2.1.0~rc8-1) unstable; urgency=low

  * [72662ab] New upstream version 2.1.0~rc8
  * [ae2ad38] Link test utilities against urcu-bp

 -- Jon Bernard <jbernard@debian.org>  Mon, 03 Dec 2012 13:06:07 -0500

ltt-control (2.1.0~rc6-1) unstable; urgency=low

  * [4908348] New upstream version 2.1.0~rc6

 -- Jon Bernard <jbernard@debian.org>  Sat, 03 Nov 2012 10:20:14 -0400

ltt-control (2.1.0~rc5-1) unstable; urgency=low

  * [44313ad] New upstream version 2.1.0~rc5

 -- Jon Bernard <jbernard@debian.org>  Mon, 22 Oct 2012 21:41:55 -0400

ltt-control (2.1.0~rc4-2) unstable; urgency=low

  * [538a285] Override dh_makeshlibs to tighten symbol dependencies
  * [e8e84aa] Depend on a more recent version of liburcu1 (Closes: #688779)

 -- Jon Bernard <jbernard@debian.org>  Sat, 29 Sep 2012 11:30:56 -0400

ltt-control (2.1.0~rc4-1) unstable; urgency=low

  * [12b22ae] New upstream version 2.1.0~rc4

 -- Jon Bernard <jbernard@debian.org>  Thu, 27 Sep 2012 09:39:03 -0400

ltt-control (2.1.0~rc3-2) unstable; urgency=low

  * [fbda274] Fix broken lttng-sessiond initscript (Closes: #688730)

 -- Jon Bernard <jbernard@debian.org>  Tue, 25 Sep 2012 14:25:15 -0400

ltt-control (2.1.0~rc3-1) unstable; urgency=low

  * [b38aa00] New upstream version 2.1.0~rc3

 -- Jon Bernard <jbernard@debian.org>  Fri, 14 Sep 2012 08:55:10 -0400

ltt-control (2.1.0~rc2-1) unstable; urgency=low

  * [f99ee50] Synchronize with upstream's packaging effort
  * [9ca37c7] Update watchfile to handle upstream RC releases
  * [bd91604] New upstream version 2.1.0~rc2
  * [8dc90ea] Disable compile time tests

 -- Jon Bernard <jbernard@debian.org>  Tue, 11 Sep 2012 17:18:55 -0400

=== debian/control ===
Source: ltt-control
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9), libpopt-dev, liburcu-dev (>= 0.7.4),
  liblttng-ust-dev (>= 2.1.1-2), dh-autoreconf
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/ltt-control.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ltt-control.git;a=summary
Homepage: http://lttng.org/

Package: lttng-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: babeltrace
Suggests: lttng-modules-dkms
Replaces: ltt-bin (<< 2.0.3-1~), ust-bin (<< 2.0.4-2~)
Breaks: ltt-bin (<< 2.0.3-1~), ust-bin (<< 2.0.4-2~)
Provides: ltt-bin, ust-bin
Description: LTTng control and utility programs
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the unified interface to control both the LTTng kernel
 and userspace (UST) tracers.

Package: liblttng-ctl0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblttctl0 (<< 2.0.3-1~), liblttd0 (<< 2.0.3-1~)
Breaks: liblttctl0 (<< 2.0.3-1~), liblttd0 (<< 2.0.3-1~)
Provides: liblttctl0, liblttd0
Description: LTTng control and utility library
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the control libraries used by lttng-tools.

Package: liblttng-ctl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, liblttng-ctl0 (= ${binary:Version})
Replaces: liblttctl-dev (<< 2.0.3-1~), liblttd-dev (<< 2.0.3-1~)
Breaks: liblttctl-dev (<< 2.0.3-1~), liblttd-dev (<< 2.0.3-1~)
Provides: liblttctl-dev, liblttd-dev
Description: LTTng control and utility library (development files)
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the development files for liblttng-ctl. This allows
 implementing trace control in external applications.

Package: ltt-bin
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, lttng-tools
Description: Transitional package for lttng-tools
 This is a transitional package to ease upgrades to the lttng-tools package.
 It can safely be removed.

Package: liblttd0
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, liblttng-ctl0
Description: Transitional package for liblttng-ctl0
 This is a transitional package to ease upgrades to the liblttng-ctl0 package.
 It can safely be removed.

Package: liblttd-dev
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, liblttng-ctl-dev
Description: Transitional package for liblttng-ctl-dev
 This is a transitional package to ease upgrades to the liblttng-ctl-dev
 package.  It can safely be removed.

Package: liblttctl0
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, liblttng-ctl0
Description: Transitional package for liblttng-ctl0
 This is a transitional package to ease upgrades to the liblttng-ctl0 package.
 It can safely be removed.

Package: liblttctl-dev
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, liblttng-ctl-dev
Description: Transitional package for liblttng-ctl-dev
 This is a transitional package to ease upgrades to the liblttng-ctl-dev
 package.  It can safely be removed.

=== debian/watch ===
version=3
opts=versionmangle=s/-(rc\d|pre\d)/~$1/ \
    http://lttng.org/files/lttng-tools/lttng-tools-(.*)\.tar\.(?:gz|bz2)

## ltt-control 2.3.0

=== debian/changelog ===
ltt-control (2.3.0-2) unstable; urgency=low

  * [31b9b12] Fix build failure on armel
  * [635f0c3] Bump version dependency on ust

 -- Jon Bernard <jbernard@debian.org>  Fri, 22 Nov 2013 12:57:18 -0500

ltt-control (2.3.0-1) unstable; urgency=low

  * [c75fa17] New upstream version 2.3.0 (Closes: #728644)
  * [f5d8090] Bump standards version, no changes necessary
  * [660a665] Make lttng-modules-dkms a suggestion instead of requirement
    (Closes: #714385)
  * [b6a3c4a] Update build dependency on ust
  * [87626e5] Restrict architectures to match that of ust
  * [fec17a8] Remove debian patch, include upstream

 -- Jon Bernard <jbernard@debian.org>  Sun, 03 Nov 2013 15:18:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: ltt-control
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, liburcu-dev (>= 0.7.4),
-  liblttng-ust-dev (>= 2.1.1-2), dh-autoreconf
-Standards-Version: 3.9.3
+  liblttng-ust-dev (>= 2.3.0-3), dh-autoreconf
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/collab-maint/ltt-control.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ltt-control.git;a=summary
 Homepage: http://lttng.org/
 
 Package: lttng-tools
 Section: utils
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: babeltrace
 Suggests: lttng-modules-dkms
@@ -29,7 +28,7 @@
  and userspace (UST) tracers.
 
 Package: liblttng-ctl0
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -46,7 +45,7 @@
 
 Package: liblttng-ctl-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, liblttng-ctl0 (= ${binary:Version})
@@ -64,7 +63,7 @@
 
 Package: ltt-bin
 Section: oldlibs
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Depends: ${misc:Depends}, lttng-tools
 Description: Transitional package for lttng-tools
  This is a transitional package to ease upgrades to the lttng-tools package.
@@ -72,7 +71,7 @@
 
 Package: liblttd0
 Section: oldlibs
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Depends: ${misc:Depends}, liblttng-ctl0
 Description: Transitional package for liblttng-ctl0
  This is a transitional package to ease upgrades to the liblttng-ctl0 package.
@@ -80,7 +79,7 @@
 
 Package: liblttd-dev
 Section: oldlibs
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Depends: ${misc:Depends}, liblttng-ctl-dev
 Description: Transitional package for liblttng-ctl-dev
  This is a transitional package to ease upgrades to the liblttng-ctl-dev
@@ -88,7 +87,7 @@
 
 Package: liblttctl0
 Section: oldlibs
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Depends: ${misc:Depends}, liblttng-ctl0
 Description: Transitional package for liblttng-ctl0
  This is a transitional package to ease upgrades to the liblttng-ctl0 package.
@@ -96,7 +95,7 @@
 
 Package: liblttctl-dev
 Section: oldlibs
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Depends: ${misc:Depends}, liblttng-ctl-dev
 Description: Transitional package for liblttng-ctl-dev
  This is a transitional package to ease upgrades to the liblttng-ctl-dev

## ltt-control 2.4.0

=== debian/changelog ===
ltt-control (2.4.0-2ubuntu1) trusty; urgency=medium

  * Merge upstream bugfix release from Debian unstable. Remaining changes:
   - Add ppc64el.
   - And also add arm64.
  * Don't bump the liburcu build-dependency as it's not required and we
    don't have the new version in 14.04.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 01 Apr 2014 12:16:53 -0400

ltt-control (2.4.0-2) unstable; urgency=low

  * [74b3a25] Bump dependency on liburcu to version 0.8.4

 -- Jon Bernard <jbernard@debian.org>  Mon, 17 Mar 2014 16:17:47 -0400

ltt-control (2.4.0-1) unstable; urgency=low

  * [e1e3941] New upstream version 2.4.0

 -- Jon Bernard <jbernard@debian.org>  Fri, 14 Mar 2014 18:56:36 -0400

ltt-control (2.4.0~rc4-1ubuntu2) trusty; urgency=medium

  * And also add arm64.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 17 Mar 2014 16:51:39 +0000

ltt-control (2.4.0~rc4-1ubuntu1) trusty; urgency=medium

  * Add ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 17 Mar 2014 16:27:51 +0000

ltt-control (2.4.0~rc4-1) experimental; urgency=low

  * [5accadb] Update UST version dependency
  * [67eb5bb] Update watch file to only uversionmangle
  * [055f855] New upstream version 2.4.0~rc4

 -- Jon Bernard <jbernard@debian.org>  Fri, 14 Feb 2014 17:29:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ltt-control
 Section: libs
 Priority: extra
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, liburcu-dev (>= 0.7.4),
-  liblttng-ust-dev (>= 2.3.0-3), dh-autoreconf
+  liblttng-ust-dev (>= 2.4.0~), dh-autoreconf
 Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/collab-maint/ltt-control.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ltt-control.git;a=summary
@@ -11,7 +12,7 @@
 
 Package: lttng-tools
 Section: utils
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc s390x ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: babeltrace
 Suggests: lttng-modules-dkms
@@ -28,7 +29,7 @@
  and userspace (UST) tracers.
 
 Package: liblttng-ctl0
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc s390x ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,7 +46,7 @@
 
 Package: liblttng-ctl-dev
 Section: libdevel
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc s390x ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, liblttng-ctl0 (= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# A bug in gcc causes build failure with -fPIE on armel
ifneq ($(DEB_BUILD_ARCH), armel)
    export DEB_BUILD_MAINT_OPTIONS := hardening=+all
endif

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	# rename the bash completion file before installation
	mkdir $(CURDIR)/debian/bash_completion
	cp $(CURDIR)/extras/lttng-bash_completion $(CURDIR)/debian/bash_completion/lttng
	dh_auto_install

override_dh_installinit:
	dh_installinit --name=lttng-sessiond

override_dh_clean:
	dh_clean
	rm -Rf $(CURDIR)/debian/bash_completion

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -V

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d|pre\d)/~$1/ \
    http://lttng.org/files/lttng-tools/lttng-tools-(.*)\.tar\.(?:gz|bz2)

## ltt-control 2.4.1

=== debian/changelog ===
ltt-control (2.4.1-1ubuntu2) utopic; urgency=medium

  * No-change rebuild against liburcu2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Jul 2014 05:47:27 +0000

ltt-control (2.4.1-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
   - Add ppc64el.
   - And also add arm64.
   - Don't bump the liburcu build-dependency as it's not required and we
     don't have the new version in 14.04.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 May 2014 17:51:35 -0400

ltt-control (2.4.1-1) unstable; urgency=low

  [ Michael Jeanson ]
  * [57baa87] Use canonical VCS urls in control file
  * [babcde6] Add symbols file for liblttng-ctl0
  * [f9f33f5] Imported Upstream version 2.4.1
  * [1fff18b] Stripped debian revision from symbols file

 -- Jon Bernard <jbernard@debian.org>  Wed, 09 Apr 2014 13:07:11 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9), libpopt-dev, liburcu-dev (>= 0.7.4),
   liblttng-ust-dev (>= 2.4.0~), dh-autoreconf
 Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/git/collab-maint/ltt-control.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ltt-control.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/ltt-control.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ltt-control.git;a=summary
 Homepage: http://lttng.org/
 
 Package: lttng-tools

## ltt-control 2.5.0

=== debian/changelog ===
ltt-control (2.5.0-1) unstable; urgency=medium

  * [df7a0f4] New upstream version 2.5.0
  * [51e2531] Include bison as a build dependency
  * [5c140a9] Prevent masking of compiler arguments during build
  * [4f34fda] Add libxml2-dev as a build dependency
  * [7981aee] Update liblttng-ctl0.symbols for 2.5.0

 -- Jon Bernard <jbernard@debian.org>  Mon, 04 Aug 2014 13:13:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: ltt-control
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
-Build-Depends: debhelper (>= 9), libpopt-dev, liburcu-dev (>= 0.7.4),
-  liblttng-ust-dev (>= 2.4.0~), dh-autoreconf
+Maintainer: Jon Bernard <jbernard@debian.org>
+Build-Depends: debhelper (>= 9), libpopt-dev, libxml2-dev,
+  liburcu-dev (>= 0.8.4), liblttng-ust-dev (>= 2.5.0~), bison, dh-autoreconf
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/ltt-control.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ltt-control.git;a=summary
@@ -12,7 +11,7 @@
 
 Package: lttng-tools
 Section: utils
-Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc s390x ppc64el
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: babeltrace
 Suggests: lttng-modules-dkms
@@ -29,7 +28,7 @@
  and userspace (UST) tracers.
 
 Package: liblttng-ctl0
-Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc s390x ppc64el
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -46,7 +45,7 @@
 
 Package: liblttng-ctl-dev
 Section: libdevel
-Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc s390x ppc64el
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, liblttng-ctl0 (= ${binary:Version})

## ltt-control 2.5.1

=== debian/changelog ===
ltt-control (2.5.1-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable, remaining changes:
   - Add ppc64el and arm64.
  * Drop the change to the liburcu build dependency, as we have an
    up-to-date version in vivid.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 16 Nov 2014 22:52:56 -0600

ltt-control (2.5.1-1) unstable; urgency=medium

  * [8385f65] New upstream version 2.5.1
  * [a31315f] Bump standards version, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Fri, 24 Oct 2014 15:15:45 +0000

## ltt-control 2.5.2

=== debian/changelog ===
ltt-control (2.5.2-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Enable builds on arm64 and ppc64el.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 27 Jan 2015 14:40:18 +0100

ltt-control (2.5.2-1) unstable; urgency=medium

  * [8304e3f] New upstream version 2.5.2

 -- Jon Bernard <jbernard@debian.org>  Wed, 03 Dec 2014 01:32:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: ltt-control
 Section: libs
 Priority: extra
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, libxml2-dev,
   liburcu-dev (>= 0.8.4), liblttng-ust-dev (>= 2.5.0~), bison, dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/ltt-control.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ltt-control.git;a=summary
 Homepage: http://lttng.org/
 
 Package: lttng-tools
 Section: utils
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc s390x ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: babeltrace
 Suggests: lttng-modules-dkms
@@ -28,7 +29,7 @@
  and userspace (UST) tracers.
 
 Package: liblttng-ctl0
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc s390x ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,7 +46,7 @@
 
 Package: liblttng-ctl-dev
 Section: libdevel
-Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x
+Architecture: amd64 armel armhf arm64 i386 mips mipsel powerpc s390x ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, liblttng-ctl0 (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 
 %:
 	dh $@ --with autoreconf
+
+override_dh_auto_build:
+	dh_auto_build -- V=1
+
+override_dh_auto_test:
 
 override_dh_auto_install:
 	# rename the bash completion file before installation
@@ -23,7 +28,5 @@
 	dh_clean
 	rm -Rf $(CURDIR)/debian/bash_completion
 
-override_dh_auto_test:
-
 override_dh_makeshlibs:
 	dh_makeshlibs -V

## ltt-control 2.6.0

=== debian/changelog ===
ltt-control (2.6.0-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Enable builds on arm64 and ppc64el. (Closes: #772093)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 28 Jun 2015 13:14:26 +0200

ltt-control (2.6.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [a00e8a5] New upstream version 2.6.0
  * [fbc62ca] debian/lttng-tools.docs: Renamed README to README.md
  * [9bf5726] debian/liblttng-ctl0.symbols: Update symbols
  * [04b614a] debian/lttng-tools.postinst: Clean script output to stdout
  * [280584f] debian/control: Update build dependency for 2.6.0

  [ Jon Bernard ]
  * [2354b9d] Use dh_bash-completion to handle completion scripts

 -- Jon Bernard <jbernard@debian.org>  Fri, 05 Jun 2015 14:45:57 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, libxml2-dev,
-  liburcu-dev (>= 0.8.4), liblttng-ust-dev (>= 2.5.0~), bison, dh-autoreconf
+  liburcu-dev (>= 0.8.4), liblttng-ust-dev (>= 2.6.0~), bison, dh-autoreconf, bash-completion
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/ltt-control.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ltt-control.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# A bug in gcc causes build failure with -fPIE on armel
ifneq ($(DEB_BUILD_ARCH), armel)
    export DEB_BUILD_MAINT_OPTIONS := hardening=+all
endif

%:
	dh $@ --with autoreconf,bash-completion

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_test:

override_dh_installinit:
	dh_installinit --name=lttng-sessiond

override_dh_makeshlibs:
	dh_makeshlibs -V

## ltt-control 2.7.0

=== debian/changelog ===
ltt-control (2.7.0-1~fakesync1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:42:40 +0000

ltt-control (2.7.0-1~fakesync1) xenial; urgency=medium

  * Upload from Debian's git while it is in NEW there to unblock liburcu
    transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 19 Nov 2015 13:37:50 +0000

ltt-control (2.7.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [5ed30e9] New upstream version 2.7.0
  * [6c8a907] Remove old transitionnal packages
  * [f931523] Build on linux-any architectures (Closes: #772093)
  * [067a1a1] Build depend specifically on liblttng-ust-dev 2.7
  * [b759e83] Update symbols file
  * [dfb3919] Fix copyright file syntax
  * [e507ede] Added systemd service file for lttng-sessiond
  * [f95e6c0] Add python bindings subpackage

  [ Jon Bernard ]
  * [c89985d] Correct capitalization error in python3-lttng synopsis
  * [abbc327] Update copyright information

 -- Jon Bernard <jbernard@debian.org>  Thu, 12 Nov 2015 22:46:50 +0000

ltt-control (2.6.0-1ppc64el1) unstable; urgency=medium

  * [2adaaf1] debian/control: add ppc64el architecture.
    Thanks to Fernando Seiti Furusato (Closes: #790682)

 -- Jon Bernard <jbernard@debian.org>  Wed, 22 Jul 2015 18:57:12 +0000

=== debian/control ===
Source: ltt-control
Section: libs
Priority: extra
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9), libpopt-dev, libxml2-dev,
  bison, dh-autoreconf, bash-completion, python3-all-dev, swig (>= 2.0),
  liburcu-dev (>= 0.8.4),
  liblttng-ust-dev (>= 2.7.0~),
  liblttng-ust-dev (<< 2.8.0~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/ltt-control.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ltt-control.git;a=summary
Homepage: http://lttng.org/
X-Python3-Version: >= 3.0

Package: lttng-tools
Section: utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: babeltrace
Suggests: lttng-modules-dkms
Description: LTTng control and utility programs
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the unified interface to control both the LTTng kernel
 and userspace (UST) tracers.

Package: liblttng-ctl0
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LTTng control and utility library
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the control libraries used by lttng-tools.

Package: liblttng-ctl-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, liblttng-ctl0 (= ${binary:Version})
Description: LTTng control and utility library (development files)
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the development files for liblttng-ctl. This allows
 implementing trace control in external applications.

Package: python3-lttng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: LTTng control and utility Python bindings
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the Python bindings to lttng.
